Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python3-prelude-correlator-5.2.0-1.5 RPM for noarch

From OpenSuSE Ports Tumbleweed for noarch

Name: python3-prelude-correlator Distribution: openSUSE:Factory:zSystems
Version: 5.2.0 Vendor: obs://build.opensuse.org/openSUSE:Factory:zSystems
Release: 1.5 Build date: Sat May 29 13:21:57 2021
Group: Productivity/Networking/Security Build host: s390zp26
Size: 78352 Source RPM: prelude-correlator-5.2.0-1.5.src.rpm
Url: https://www.prelude-siem.org
Summary: Prelude Correlator python3 files
Python 3 files for Prelude Correlator.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Sun Oct 25 2020 Andreas Stieger <andreas.stieger@gmx.de>
  - prelude-correlator 5.2.0:
    * Take timeout into account for CTI data
    * Fix DownloadCache initialization
    * Add SELinux rule for service startup
    * Add 'CTI' in CTI related alerts
    * Change 300s to 20s for CTI correlation rules
    * Fix grouping option with listed path
    * Avoid undefined analyzerid when referencing alerts
  - add upstream signing key and verify source signature
* Mon Feb 03 2020 Dominique Leuenberger <dimstar@opensuse.org>
  - BuildRequire pkgconfig(systemd) instead of systemd: allow OBS to
    shortcut through the -mini flavors.
* Fri Oct 25 2019 thomas.andrejak@gmail.com
  Bump version 5.1.0
    - Fully support Python 3
    - Update internal frameworks
    - Fix various bugs
    - Add new option for grouping correlation contexts
    - Add metadata for rules
  - Bump spec copyright to 2019
  - Remove Python2 support
    - Python 2 will be removed step by step in all Linux distributions
    - Rename packages from %{name}-core to python3-%{name}
  - Force deleting __pycache__ directory
    - It contains pyc files
  - Remove patch prelude-correlator-ez_setup.patch
    - Fixed upstream
* Wed Oct 04 2017 thomas.andrejak@gmail.com
  - Update to 4.0.0
  - Rename source prelude-correlator.run to prelude-correlator-tmpfiles.conf
  - Clean prelude-correlator.service
  - Create python2-prelude-correlator and python3-prelude-correlator
    packages since prelude-correlator is python 3 compatible
  - Move to Python Singlespec
* Fri Feb 10 2017 thomas.andrejak@gmail.com
  - Update to 3.1.0 (Prelude 3.1.0 released on 14 Sept 2016)
  - Remove unnecessary patches (prelude-correlator-main_py.patch)
  - Remove unnecessary spool directory
  - Spec-Cleaner
* Sun Sep 04 2016 thomas.andrejak@gmail.com
  Remove Selinux since it should be directly in Security:SELinux
* Tue May 03 2016 thomas.andrejak@gmail.com
  Initial import
    Add patchs :
    * prelude-correlator-ez_setup.patch
    * Support old setuptools
    * prelude-correlator-main_py.patch
    * Wrong shebang
    Add systemd files because it is a daemon.
    Also package SELinux files.

Files

/usr/bin/prelude-correlator
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/PKG-INFO
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/SOURCES.txt
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/dependency_links.txt
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/entry_points.txt
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/requires.txt
/usr/lib/python3.8/site-packages/prelude_correlator-5.2.0-py3.8.egg-info/top_level.txt
/usr/lib/python3.8/site-packages/preludecorrelator
/usr/lib/python3.8/site-packages/preludecorrelator/__init__.py
/usr/lib/python3.8/site-packages/preludecorrelator/config.py
/usr/lib/python3.8/site-packages/preludecorrelator/context.py
/usr/lib/python3.8/site-packages/preludecorrelator/download.py
/usr/lib/python3.8/site-packages/preludecorrelator/error.py
/usr/lib/python3.8/site-packages/preludecorrelator/idmef.py
/usr/lib/python3.8/site-packages/preludecorrelator/log.py
/usr/lib/python3.8/site-packages/preludecorrelator/main.py
/usr/lib/python3.8/site-packages/preludecorrelator/pluginmanager.py
/usr/lib/python3.8/site-packages/preludecorrelator/plugins
/usr/lib/python3.8/site-packages/preludecorrelator/plugins/__init__.py
/usr/lib/python3.8/site-packages/preludecorrelator/plugins/__pycache__
/usr/lib/python3.8/site-packages/preludecorrelator/plugins/__pycache__/__init__.cpython-38.opt-1.pyc
/usr/lib/python3.8/site-packages/preludecorrelator/plugins/__pycache__/__init__.cpython-38.pyc
/usr/lib/python3.8/site-packages/preludecorrelator/require.py
/usr/lib/python3.8/site-packages/preludecorrelator/rule.py
/usr/lib/python3.8/site-packages/preludecorrelator/siteconfig.py
/usr/lib/python3.8/site-packages/preludecorrelator/utils.py
/usr/share/licenses/python3-prelude-correlator
/usr/share/licenses/python3-prelude-correlator/COPYING


Generated by rpm2html 1.8.1

Fabrice Bellet, Wed Nov 24 23:56:42 2021